FIXINCLUDES(1)

NAME
fixincludes - Vähendab #include'ide arvu KDE lähtekoodifailides

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [fail] [--help]

KIRJELDUS

fixincludes üritab vähendada #include'ide arvu C++-lähtekoodifailides. Suur osa töötlusest on spetsiifiline KDE lähtekoodile ega pruugi seetõttu anda häid tulemusi KDE-väliste rakenduste lähtekoodi puhul.

fixincludes'i puhul on teada järgmised probleemid:

•   Päiste kaasamine, mida enam ei toetata, aga mis on olemas ühilduvuse huvides vanemate Qt/KDE versioonidega;

•   Sama faili kaasamine mitu korda.

Olemas on ka eksperimentaalne re&#382;iim, mille korral üritatakse eemaldada üks #include teise järel (väga väheste eranditega) ning selgitada, kas lähtekoodi on siiski võimalik kompileerida. Pane tähele, et eksperimentaalse re&#382;iimi korral muudetakse lähtekoodi.

Vaikimisi lähtekoodi ei muudeta, vaid tuvastatud probleemid kirjutatakse lihtsalt standardväljundisse.

Uuritavate C++-lähtekoodifailide nimekiri tuleb anda käsureal. Kui faile ei määrata, uuritakse läbi kõik C++-lähtekoodifailid antud kataloogis ja selle alamkataloogides (välja arvatud kataloogid, mille Makefile.am sisaldab võtit -UQT_NO_COMPAT või -UKDE_NO_COMPAT)

See utiliit kuulub KDE tarkvaraarenduse komplekti koosseisu.

VõTMED

-v, --verbose
    Selgitav re&#382;iim. Standardväljundisse kirjutatakse rohkem silumisväljundit.

-e, --experimental
    Eksperimentaalne re&#382;iim, mida kirjeldati põhjalikumalt eespool. Pane tähele, et see võti eeldab võtit --modify.

-m, --modify
    Lisaks teadete kirjutamisele standardväljundisse muudab ka reaalselt algset lähtekoodi leitud probleemide parandamiseks.

AUTORID

fixincludes'i kirjutas Dirk Mueller <mueller@kde.org>.

AUTHOR
Ben Burton.